#pragma once

#include "CoreMinimal.h"
#include "HudPresenter.h"
#include "Templates/SubclassOf.h"
#include "TimedEffectMeterPresenter.generated.h"

class UUserWidget;

UCLASS(Blueprintable, Abstract, EditInlineNew)
class DBDUIPRESENTERS_API UTimedEffectMeterPresenter : public UHudPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UUserWidget> TimedEffectMeterWidget;

public:
	UTimedEffectMeterPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UTimedEffectMeterPresenter) { return 0; }
